# kubernetes-learn

## Minikube

- minikube start --driver=kvm2 --nodes=3 --kvm-qemu-uri=qemu:///system --kvm-network=default --cpus=8 --memory=8g
- minikube delete --purge
- minikube addons enable metrics-server
- minikube dashboard
- minikube addons enable ingress
- curl --resolve "nginx.example:80:$( minikube ip )" -i http://nginx.example

## Sops

### How run kubectl with sops

```console
function sops_kubectl() {
    find . -type f -name '*secret.properties.enc' -exec sh -c 'sops decrypt "$1" > "${1%.enc}"' _ {} \;
    kubectl $@
    find . -type f -name '*secret.properties' -exec sh -c 'rm "$1"' _ {} \;
}
```

### Git config

```console
git config diff.sopsdiffer.textconv "sops decrypt"
```